# $Revision: 1.4 $, $Date: 2004/04/25 12:36:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Data
%define	pnam	Library
Summary:	Data::Library - virtual class for repository support classes
Summary(pl):	Data::Library - klasa wirtualna dla klas usug magazynowych
Name:		perl-Data-Library
Version:	0.1
Release:	1
# same as perl (but for Data::Library is unknown)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f5c37477b29ffaeb8d3cc02262faca10
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Virtual
BuildRequires:	perl-Log-Channel
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data::Library Perl module provides a general repository service. 
Specifics are implemented in subclasses.

%description -l pl
Modu Perla Data::Library udostpnia ogln usug magazynow.
Szczegy s zaimplementowane w podklasach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Data/Library.pm
%{perl_vendorlib}/Data/Library
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Library.spec,v $
Revision 1.4  2004/04/25 12:36:35  ankry
- fixed %files

Revision 1.3  2004/04/25 12:30:59  ankry
- typo

Revision 1.2  2004/04/25 12:27:04  ankry
- md5, cut bogus changelog, added BR:

Revision 1.1  2004/04/25 11:23:16  ankry
- initial revision
